Subject: Re: [PATCH V2] ipvlan: fix ipvlan MTU limits

From: Jiri Benc <[email-masked]>
Date: Thu, 11 Jan 2018 12:25:54 +0100

On Wed, 10 Jan 2018 18:09:50 -0800, Mahesh Bandewar (महेश बंडेवार) wrote:
> I still prefer the approach I had mentioned that uses 'mtu_adj'. In
> that approach you can leave those slaves which have changed their mtu
> to be lower than masters' but if master's mtu changes to larger value
> all other slaves will get updated mtu leaving behind the slaves who
> have opted to change their mtu on their own. Also the same thing is
> true when mtu get reduced at master.

The problem with this magic behavior is, well, that it's magic. There's
no way to tell what happens with a given slave when the master's MTU
gets changed just by looking at the current configuration. There's also
no way to switch the magic behavior back on once the slave's MTU is
changed.

At minimum, you'd need some kind of indication that the slave's MTU is
following the master. And a way to toggle this back.

Keefe's patch is much saner, the behavior is completely deterministic.

 Jiri